Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Compatibility C++ and libc5 and libc6 libraries for programs new and old
Name:		lib-compat
Version:	1.4
Release:	1
Provides:	%{name}
License:	GPL
URL:		http://www.gentoo.org
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Compatibility C++ and libc5 and libc6 libraries for programs new and old


%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}/x86
mv -f libstdc++-libc6.2-2.so.3 libstdc++-3-libc6.2-2-2.10.0.so
rm -f libstdc++-libc6.1-1.so.2
mv -f libstdc++.so.2.9.dummy libstdc++.so.2.9.0


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}{/lib,%{_libdir}}
for lib in ld-linux.so.1*
do
	cp -dp ${lib} %{buildroot}/lib
	rm -f ${lib}
done
for lib in *.so*
do
	cp -dp ${lib} %{buildroot}%{_libdir}
done
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jun 18 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.4-1
- Initial Release
